Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Placer Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addNodePath
def | addNodePathToDict
def | addRefNodePath
def | appInit
def | createInterface
def | onDestroy
def | printNodePathInfo
def | pushRedo
def | pushRedoHook
def | pushUndo
def | pushUndoHook
def | redoHook
def | redoListEmptyHook
def | resetAll
def | resetHpr
def | resetPos
def | resetScale
def | selectNodePathNamed
def | selectRefNodePathNamed
def | setActiveNodePath
def | setMovementMode
| WIDGET OPERATIONS ###.
def | setReferenceNodePath
def | setScalingMode
def | undoHook
def | undoListEmptyHook
def | unitScale
def | updateAuxiliaryCoordinateSystems
def | updateHprWidgets
def | updatePlacer
def | updatePosWidgets
def | updateResetValues
def | updateScaleWidgets
def | xform
| NODE PATH TRANSFORMATION OPERATIONS ###.
def | xformOrbit
def | xformRelative
def | xformScale
def | xformStart
def | xformStop
def | zeroAll
def | zeroHpr
def | zeroPos
## Public Attributes
| deltaHpr
| hprH
| hprP
| hprR
| initHpr
| initPos
| initScale
| movementMode
| nodePathDict
| nodePathMenu
| nodePathMenuBG
| nodePathMenuEntry
| nodePathNames
| orbitFromCS
| orbitToCS
| posOffset
| posX
| posY
| posZ
| redoButton
| refCS
| refNodePathDict
| refNodePathMenu
| refNodePathMenuEntry
| refNodePathNames
| scaleMenubutton
| scaleX
| scaleY
| scaleZ
| scalingMode
| tempCS
| undoButton
| undoEvents
## Static Public Attributes
string | appname = 'Placer Panel'
int | frameHeight = 215
int | frameWidth = 625
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def addNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def addNodePathToDict | ( |  | self,
|  |  | nodePath,
|  |  | names,
|  |  | menu,
|  |  | dict
| ) |  |

def addRefNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def appInit | ( |  | self | ) |

def createInterface | ( |  | self | ) |

def onDestroy | ( |  | self,
|  |  | event
| ) |  |

def printNodePathInfo | ( |  | self | ) |

def pushRedo | ( |  | self | ) |

def pushRedoHook | ( |  | self | ) |

def pushUndo | ( |  | self,
|  |  | fResetRedo = `1`
| ) |  |

def pushUndoHook | ( |  | self | ) |

def redoHook | ( |  | self,
|  |  | nodePathList = `[]`
| ) |  |

def redoListEmptyHook | ( |  | self | ) |

def resetAll | ( |  | self | ) |

def resetHpr | ( |  | self | ) |

def resetPos | ( |  | self | ) |

def resetScale | ( |  | self | ) |

def selectNodePathNamed | ( |  | self,
|  |  | name
| ) |  |

def selectRefNodePathNamed | ( |  | self,
|  |  | name
| ) |  |

def setActiveNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def setMovementMode | ( |  | self,
|  |  | movementMode
| ) |  |

WIDGET OPERATIONS ###.

def setReferenceNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def setScalingMode | ( |  | self | ) |

def undoHook | ( |  | self,
|  |  | nodePathList = `[]`
| ) |  |

def undoListEmptyHook | ( |  | self | ) |

def unitScale | ( |  | self | ) |

def updateAuxiliaryCoordinateSystems | ( |  | self | ) |

def updateHprWidgets | ( |  | self,
|  |  | hpr
| ) |  |

def updatePlacer | ( |  | self | ) |

def updatePosWidgets | ( |  | self,
|  |  | pos
| ) |  |

def updateResetValues | ( |  | self,
|  |  | nodePath
| ) |  |

def updateScaleWidgets | ( |  | self,
|  |  | scale
| ) |  |

def xform | ( |  | self,
|  |  | value,
|  |  | axis
| ) |  |

NODE PATH TRANSFORMATION OPERATIONS ###.

def xformOrbit | ( |  | self,
|  |  | value,
|  |  | axis
| ) |  |

def xformRelative | ( |  | self,
|  |  | value,
|  |  | axis
| ) |  |

def xformScale | ( |  | self,
|  |  | value,
|  |  | axis
| ) |  |

def xformStart | ( |  | self,
|  |  | data
| ) |  |

def xformStop | ( |  | self,
|  |  | data
| ) |  |

def zeroAll | ( |  | self | ) |

def zeroHpr | ( |  | self | ) |

def zeroPos | ( |  | self | ) |

## Member Data Documentation

string appname = 'Placer Panel'`[static]`

deltaHpr

int frameHeight = 215`[static]`

int frameWidth = 625`[static]`

hprH

hprP

hprR

initHpr

initPos

initScale

movementMode

nodePathDict

nodePathMenu

nodePathMenuBG

nodePathMenuEntry

nodePathNames

orbitFromCS

orbitToCS

posOffset

posX

posY

posZ

redoButton

refCS

refNodePathDict

refNodePathMenu

refNodePathMenuEntry

refNodePathNames

scaleMenubutton

scaleX

scaleY

scaleZ

scalingMode

tempCS

undoButton

undoEvents

int usecommandarea = 0`[static]`

int usestatusarea = 0`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties